#pragma once

#include "CoreMinimal.h"
#include "GenericStructs.generated.h"

USTRUCT(BlueprintType)
struct FPlayerInLobby
{
	GENERATED_BODY()

	UPROPERTY(VisibleAnywhere, BlueprintReadOnly)
	FString Username;

	UPROPERTY(VisibleAnywhere, BlueprintReadOnly)
	bool bIsOwner;

	FPlayerInLobby(FString Username, const bool bIsOwner)
	{
		this->Username = Username;
		this->bIsOwner = bIsOwner;
	}

	FPlayerInLobby()
	{
		this->Username = "";
		this->bIsOwner = false;
	}
};
